version: '3'

networks:
  bettercollective:

services:
  nginx:
    image: nginx:stable-alpine
    container_name: better_nginx
    ports:
    - "27000:80"
    volumes:
    - ./:/var/www/html
    - ./docker/nginx/default.conf:/etc/nginx/conf.d/default/conf
    depends_on:
      - php
      - mysql
    networks:
      - bettercollective

  mysql:
    image: mysql:5.7
    container_name: better_mysql
    restart: unless-stopped
    tty: true
    ports:
    - "4306:3306"
    environment:
      MYSQL_DATABASE: ${DB_DATABASE}
      MYSQL_USER: ${DB_USERNAME}
      MYSQL_PASSSWORD: ${DB_PASSWORD}
      MYSQL_ROOT_PASSSWORD: bettercollective
    networks:
      - bettercollective

  php:
    build:
      context: ./docker/php
    container_name: better_php
    volumes:
    - ./:/var/www/html
    ports:
    - "9000:9000"
    networks:
      - bettercollective
